Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.logging.layout
Class PatternParserEx

    java.lang.Object
      org.apache.log4j.helpers.PatternParser
          org.jboss.logging.layout.PatternParserEx

public class PatternParserEx
extends org.apache.log4j.helpers.PatternParser

A subclass of the log4j PatternParser that add the following conversion characters:

Conversion Character | Effect
z | Used to output current thread NDC value. This can be used to obtain an NDC to augment any NDC associated with the LoggingEvent. This might be necessary if the LoggingEvent has been serialized between VMs.
Z | Used to output current thread MDC value. This can be used to obtain an MDC to augment any MDC associated with the LoggingEvent. This might be necessary if the LoggingEvent has been serialized between VMs. The Z conversion character must be followed by the key for the map placed between braces, as in %Z{theKey} where theKey is the key. The value in the MDC corresponding to the key will be output.

Version:
  $Revision: 1.3 $
Author:
  Scott.Stark@jboss.org

Field Summary

Fields inherited from class org.apache.log4j.helpers.PatternParser
`currentLiteral, formattingInfo, i, pattern, patternLength`

Constructor Summary
`PatternParserEx(String pattern)` Creates a new instance of PatternParser

Method Summary
`protected void` | `finalizeConverter(char c)`

Methods inherited from class org.apache.log4j.helpers.PatternParser
`addConverter, extractOption, extractPrecisionOption, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternParserEx

    public PatternParserEx(String pattern)

  Creates a new instance of PatternParser

Method Detail

### finalizeConverter

    protected void finalizeConverter(char c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.